Please read the Release Notes.  They contain OS-specific information as
well as some general notes about problems, non-problems and tips for this
Release.

1/	${XACCELHOME}/AcceleratedX/etc/Xsiteinfo file permits redirection
	of automatically emailed problem reports.  Reports may be mailed to 
	any valid address.  We like to have them sent to 'bugs@xinside.com',
	so that we can assess problem severity and frequency.  By default,
	the Server sends email to 'root@localhost'.

2/	We normally opt for minimum surprise... But in release 1.2 we have
	enabled DPMS (Display Power Management Services, aka EPA Energy Star)
	by default.  This will completely blank the screen after the timeout 
	interval.  Individual levels of Power Saving each have their own
	timing interval.

3/	Try to find the Board we support, not the Graphics Chipset on the
	Board.  The connection between the RAMDAC and Graphics Engine is
	significant. You will get better support from a specific board,
	than from the generic entry.  The generic entries assume a minimally
	capable RAMDAC.

4/	The Server supports 4, 8, 15, 16, 24 and 32bpp depending upon the
	graphics chipset and RAMDAC in use.  Server speed is usually linearly
	proportional to the number of bits.  The 32bpp Server is usually 25%
	the speed of the 8bpp Server mode.  Memory use is also proportional
	to color depth, but is not so linearly related.  The base Server
	typically takes 1.5-2MB, and memory use above that is related to
	color depth.  You will use about four times as much memory with a 
	32bpp Server as with an 8bpp Server.

 *****************************************************************************
*                                                                             *
*                           Known Bugs & Problems                             *
*                                                                             *
 *****************************************************************************

Known bugs & problems

1/	The Xsetup utility does not handle:

	o	Graphics Tablets

	o	Multiple screens

	You must edit the /etc/Xaccel.ini file by hand to make these
	features work.	There are many other features, such as using
	a software cursor on a board that normally uses a hardware
	cursor, that must be manually configured.  These are really
	rare tweaks, though!

2/	On some Operating Systems that support the XQUEUE event
	handler, Mouse Systems Corporation 3 button mice are treated
	as if they are two button (middle button doesn't work).	 If
	you have this problem, disable the OS's mouse manager (usually
	'mousemgr') and have the server directly connect to the port
	with the mouse.	 The Server does recognise all three buttons.

	Make sure that the mouse manager is not restarted at boot
	time.  If two processes open the same port for reading, you 
	will not enjoy the results.

3/	24 bit colors may seem blue in some applications.
	We've seen several applications (Mosaic, mpeg_play) where
	ports to Intel UNIX versions do not query the order of color
	bits in the 24 bit representation.  We use the same order as
	the hardware (RAMDAC's use a consistent order on the hardware
	we've seen).  The order assumed by some of these applications
	and the order used by the hardware are different.  Red and
	blue bits are swapped.	So the BSDI Imp on their WWW server 
	becomes blue, instead of red.  The Mosaic spinning globe is 
	ugly... Obtain a corrected version  of the application and
	it will display correctly.

5/	Although we support HighColor (15/16 bit or 32k/64k colors), 
	you may not be able to find a configuration that works.	 Board 
	vendors change the color-lookup-table chips.  We may have a 
	board description that does not match the exact hardware on 
	the board that you have.  It should also be noted that some 
	chips have different frequency limitations, which may prevent 
	operation at some resolutions in higher color modes.

	For example, we know of two versions of the Orchid Fahrenheit
	1280+, which will show bad colors if the wrong RAMDAC type is
	chosen.	 Some vendors work closely with us, so that we can
	support their variations.  Some don't.	If you have a problem
	with a board, let us know, tell us what the RAMDAC is and we
	can probably turn round a usable board configuration file in a
	few days.  Our only problem arises when the RAMDAC is a new
	unsupported design, or we can't get hold of a board to test a 
	persistent problem.

	The correct board description can be created by editting the
	xqa file, with knowledge of the chips and frequency limits.
	It is not possible for us to unambiguously identify the RAMDAC
	in use, so we cannot correct the problem in software.

	We have provided some boards with alternate RAMDAC configurations.
	Unfortunately we know of no completely unambiguous mechanism to
	identify the RAMDAC in use.  You'll have to look at the board
	and identify the RAMDAC.  Sorry, that's just the way that the
	boards and chips work...

7/	When running an ISA bus clone of the IBM XGA chipset, we
	recommend that you disable DMA on the graphics board.  You
	should also disable VGA BIOS shadowing and VGA BIOS caching (you
	should not disable the processor or external caches for the
	processor, though, unless you want a *very* slow system).

8/	When running SCO UNIX (Open Server) on a graphics board with
	an S3 chip set without a programmable pixel clock, then the
	use of the Locus Merge 'Zoom' function may hang the Operating
	System.	 The problem is in the Locus Merge handling of the
	chip, rather than the X Server.

	Examples where we ran into that problem were the Actix GE32+ and
	Orchid Farenheit 1280+.

9/	Sometimes, after a resolution switch (<Ctl-Alt-Numeric-'-'> or
	<Ctl-Alt-Numeric-'+'>) or a Virtual Terminal switch, the screen 
	image may have some random pixels incorrectly displayed. This 
	can be fixed with a refresh ('xrefresh') or by moving the 
	cursor around.

	This problem almost exclusively manifests itself on older
	SVGA chips (ET4000, TVGA8900, OTI077, etc.).  Put another way,
	we have yet to see or hear about this problem on the new style 
	high performance graphics chips.

	We recommend that you avoid the problem by not doing screen 
	resolution switches on older SVGA chips.

10/	When using a Trident TVGA8900D in 16 color (4 bit)
	mode, there may be some random pixels (usually in short
	horizontal lines that persist with screen resolution changes).
	When performing heavy drawing (e.g. the xbench, x11perf test
	suites) some parts of the screen (particularly the bottom
	edge of a virtual desktop) may display a narrow fringe of
	twilight zoned colors.	If you can trade screen resolution
	for colors, you may find the 256 color mode (8 bits) to be
	more stable.

11/	We have observed significant problems using Adaptec Bus
	Mastering SCSI Host Bus Adapters with IIT/XTEC (AGX014 and
	AGX015) chipsets (e.g. Boca Vortek, Boca Vortek VL, Reveal
	VC700).	 The boards interfere with each other.	We know of at
	least two instances where previously stable systems had hard
	disks wiped during first boot with these chipsets.  There do
	not appear to be any problems using the chipset with Adaptec
	1520 (non-Bus Mastering) or IDE adapters.  We have no reason
	to believe that the problem is more extensive than just
	Adaptec Bus Mastering adapters and the IIT/XTEC chipsets.

	The problem occurs before UNIX boots, so the Accelerated-X
	server is not even running at this point.

	One workaround we have found is to enable VGA BIOS shadowing,
	and where available enable VGA BIOS caching. Note that this is
	exactly the opposite thing you should do for all other XGA
	clones.

12/	If you are running a WD9510-AT or a special version of the
	Paradise 8514/A	please make sure to set the DIP Switches
	according to the resolution and refresh rate you are targeting.
	The DIP Switches basically switch between different sets of
	possible pixel-clocks. The server will autodetect the the that
	is currently active.

13/	On the STB MVP-2 and STB MVP-2X you should set JP5 to the ERGO
	setting in order to allow higher refresh rates and 16bpp modes.

14/	For the ISA ATI mach64 cards VGA BIOS shadowing HAS to be enabled.
	In general it is recommended to enable VGA BIOS shading for all
	graphics boards on PCI and VLB buses.

15/	Linux has a bug in the PS/2 and Bus Mouse device driver design.
	Only one program can open the device.  If 'gpm' is running, then
	the Server can not open the mouse port.  If one Server is running,
	then you cannot start a second Server.  The workround is to use a
	serial mouse.

16/	VT Switching is not supported on BSD/OS 2.0.  All other OS's permit
	multiple VT's and multiple Servers to be started.  This is because
	the console driver code is not designed for graphical mode VT
	switches.

	VT's on Linux should all use the default 80x25 text mode.  We do not
	support switching to other text modes.  This is caused by the method 
	used in LINUX to select non-standard modes.  XFree86 does switch
	back to a non-standard mode, but uses a technique that can result
	in system lockup.  We opted to preserve data rather than the text 
	mode on the grounds that a commercial Server must assume that your
	data is more precious than anything else.  Some OS's, such as 
	UnixWare, have ioctl's to switch text modes; these OS's are safe.

17/	One Motherboards with a oboard ET4000/W32p it is not possible
	to have a ET4000/W32p based board in one of the PCI slots. This
	is due to a decoding bug in the ET4000/W32p. Some motherboards
	are shipping now with workarounds for that problem, but in general
	it will not work.

 *****************************************************************************
*                                                                             *
*                          Supported Graphics Chips                           *
*                                                                             *
 *****************************************************************************

Graphics chipsets supported in this release are listed below.  The
chart shows the maximum depth supported on each chipset for each
resolution we support.	Please note that this represents the best
that the chipset can achieve, if not limited by memory or RAMDAC.
If you buy a 1MB board, there's no way to give you 1600x1200 in
TrueColor mode... If you buy the cost reduced version of a board, it
may have a less capable RAMDAC.

Graphics Chip Vendor
  |
  |  Graphics Chip
  |	  |
  |	  |	   640x480
  |	  |	      |	     800x600
  |	  |	      |		|     1024x768
  |	  |	      |		|	  |	1152x900
  |	  |	      |		|	  |	    |	  1280x1024
  |	  |	      |		|	  |	    |	      |	    1600x1200
  |	  |	      |		|	  |	    |	      |		|
------- ----------- --------- --------- --------- --------- --------- -------
       |	   |	     |	       |	 |	   |	     |
Alliance 
	AS3210	    4/8/16/32 4/8/16/32 4/8/16/32 4/8/16    4/8       -
	AS6410	    4/8/16/32 4/8/16/32 4/8/16/32 4/8/16    4/8       -

ARK	1000VL	    4/8/16/24 4/8/16/24 4/8/16/24 4/8       4/8       -
	1000PV	    4/8/16/24 4/8/16/24 4/8/16/24 4/8       4/8       -
	2000PV	    4/8/16/32 4/8/16/32 4/8/16/32 4/8/16    4/8/16    8

ATI	ATIVGA	    4/8/16    4/8       4/8       4         4         -
	ATI38800    4/8	      4/8	4/8	  4	    4	      -
	ATI68800    4/8/16/24 4/8/16/24 4/8/16	  4/8	    4/8	      -
	ATI88000    8/16/24   8/16/24	8/16/24	  8/16/24   8/16/24   -

Avance	2101	    4/8       4/8       4/8       4/8       4         -
	2228	    4/8/16/24 4/8/16    4/8       4/8       4/8       -
 	2301	    4/8/16/24 4/8/16    4/8       4/8       4/8       -

Chips 	82C450	    4/8	      4		4	  -	    -	      -
 & Tech	82C451	    4	      4		-	  -	    -	      -
	82C452	    4/8	      4		4	  -	    -	      -
	82C453	    4/8	      4/8	4/8	  4/8	    -	      -
 	82C480	    4/8	      4/8	4/8	  4/8	    4/8	      -
	82C481	    4/8/16/32 4/8/16	4/8/16	  4/8	    4/8	      -
	F64300	    4/8/16/24 4/8/16    4/8/16    4/8       4/8       -
	F64310	    4/8/16/24 4/8/16    4/8/16    4/8       4/8       -
	F65510	    4/8	      -         -         -         -         -
	F65520	    4/8	      -         -         -         -         -
	F65530	    4/8	      4/8       4/8       4/8       -         -
	F65535	    4/8/16    4/8       4/8       4/8       -         -
	F65540	    4/8/16    4/8       4/8       4/8       -         -
	F65545	    4/8/16    4/8       4/8       4/8       -         -

Cirrus	GD5402	    4/8	      4/8	4	  4	    -	      -
	GD5420	    4/8	      4/8	4/8	  4/8	    -	      -
	GD5422	    4/8/16    4/8/16	4/8	  4/8	    4	      -
	GD5424	    4/8/16/24 4/8/16	4/8	  4/8	    4	      -
	GD5426	    4/8/16/24 4/8/16	4/8	  4/8	    4/8	      -
	GD5428	    4/8/16/24 4/8/16	4/8/16	  4/8	    4/8	      -
	GD5429	    4/8/16/24 4/8/16	4/8/16	  4/8	    4/8	      -
	GD5430	    4/8/16/24 4/8/16	4/8/16	  4/8	    4/8	      -
	GD5434	    4/8/16/32 4/8/16/32 4/8/16	  4/8/16    4/8	      -

Compaq	TRITON	    8/16      8/16      8         -         -         -
	ORION	    8/16/32   8/16      8/16      8         8         -
	ARIEL	    8/16/32   8/16      8/16      8         8         -

IBM	8514/A	    4/8	      4/8	4/8	  -	    -	      -
	VGA	    4	      -		-	  -	    -	      -
	XGA	    8/16      8		8	  -	    -	      -
	XGA-2	    8/16      8/16	8	  -	    -	      -

IIT	AGX014	    8/16/24   8/16	8	  -	    -	      -
	AGX015	    8/16/24   8/16/24	8/16	  8	    8	      -

Matrox	TITAN	    8/16/32   8/16/32	8/16/32	  8/16/32   8/16/32   8
	ATLAS	    8/16/32   8/16/32	8/16/32	  8/16/32   8/16      8/16
	ATHENA	    8/16/32   8/16/32	8/16/32	  8/16/32   8/16      8/16
	STORM	    8/16/32   8/16/32	8/16/32	  8/16/32   8/16/32   8/16/32

Number9	I-128	    8/16/32   8/16/32	8/16/32	  8/16/32   8/16/32   8/16/32

Oak	OTI067	    4/8	      4/8	4	  4	    -	      -
	OTI077	    4/8/16    4/8/16	4/8	  4/8	    4	      -
	OTI087	    4/8/16/24 4/8/16	4/8	  4/8	    4/8	      -
	OTI107	    4/8/16/32 4/8/16/32	4/8/16	  4/8/16    4/8	      -

S3	86C732	    8/16/32   8/16/32	8/16	  8	    -	      -
	86C764	    8/16/32   8/16/32	8/16	  8	    8	      -
	86C801	    4/8/16/24 4/8/16	4/8	  4/8	    4/8	      -
	86C805	    4/8/16/24 4/8/16	4/8	  4/8	    4/8	      -
	86C805i	    4/8/16/24 4/8/16	4/8	  4/8	    4/8	      -
	86C864      8/16/32   8/16/32	8/16	  8	    8	      -
	86C866      8/16/24   8/16/24	8/16	  8	    8	      -
	86C868      8/16/24   8/16/24	8/16	  8	    8	      -
	86C911	    4/8/16    4/8/16	4/8	  4	    4	      -
	86C924	    4/8/16    4/8/16	4/8	  4	    4	      -
	86C928	    4/8/16/32 4/8/16/32 4/8/16/32 8/16	    8/16      8
	86C964      8/16/32   8/16/32	8/16/32	  8/16/32   8/16/32   8/16
	86C968      8/16/24   8/16/24	8/16/24	  8/16/24   8/16/24   8/16/24

Trident TVGA8900B   4/8	      4/8	4/8	  4/8	    -	      -
	TVGA8900C   4/8	      4/8	4/8	  4/8	    -	      -
	TVGA8900CL  4/8/16/24 4/8/16	4/8	  4/8	    4	      -
	TVGA8900D   4/8/16/24 4/8/16	4/8	  4/8	    4	      -
	TVGA9000    4/8	      4/8	4	  4	    -	      -
	TVGA9000i   4/8	      4/8	4	  4	    -	      -

Tseng	ET3000	    4/8	      4/8	4	  4	    -	      -
	ET4000	    4/8/16    4/8/16	4/8	  4/8	    4	      -
	ET4000/W32  4/8/16/24 4/8/16	4/8	  4/8	    4/8	      -
	ET4000/W32i 4/8/16/24 4/8/16	4/8	  4/8	    4/8	      -
	ET4000/W32p 4/8/16/32 4/8/16/32 4/8	  4/8	    4/8	      -

Weitek	P9000	    8/16/32   8/16/32	8/16	  8/16	    8	      8
	P9100	    8/16/24   8/16/24	8/16/24	  8/16/24   8/16/24   8/16
	W5186	    4/8/16    4/8/16    4/8       -	    -	      -
	W5286	    4/8/16    4/8/16    4/8       4/8	    4	      -

Western PVGA1	    4/8	      4/8	4	  -	    -	      -
 Digita WD90C00	    4/8	      4/8	4	  -	    -	      -
	WD90C11	    4/8	      4/8	4	  -	    -	      -
	WD90C24	    4/8	      -		-	  -	    -	      -
	WD90C26	    4/8	      -		-	  -	    -	      -
	WD90C30	    4/8/16    4/8/16	4/8	  4/8	    4	      -
	WD90C31	    4/8/16    4/8/16	4/8	  4/8	    4	      -
	WD90C33	    4/8/16/24 4/8/16	4/8	  4/8	    4	      -
	WD9500	    4/8	      4/8	4/8	  -	    -	      -
